summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:34:56 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:34:56 -0400
commit93b0cf8a42c0647fec6d3570484880f0bf8f146e (patch)
tree8d6ed5bb76c8d1589e5facd1f3605e318e13de21
parentaf55b58095d724bf660586ec8bb448227fb3a23f (diff)
downloadslackbuilds-93b0cf8a42c0647fec6d3570484880f0bf8f146e.tar.gz
slackbuilds-93b0cf8a42c0647fec6d3570484880f0bf8f146e.tar.xz
graphics/fontmatrix: Fixed for bash4.
-rw-r--r--graphics/fontmatrix/fontmatrix.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/graphics/fontmatrix/fontmatrix.SlackBuild b/graphics/fontmatrix/fontmatrix.SlackBuild
index af450f435d..22074944ec 100644
--- a/graphics/fontmatrix/fontmatrix.SlackBuild
+++ b/graphics/fontmatrix/fontmatrix.SlackBuild
@@ -92,12 +92,8 @@ mkdir build && cd build
make install DESTDIR=$PKG
cd ..
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;